import java.awt.*;

class Database {
  final int maxnp = 1024;
  final int PtSize = 5;
  int[] x = new int[maxnp];
  int[] y = new int[maxnp];
  int np;
  int xsiz, ysiz;
  Color col;
  boolean lockflag = false;

  public Database(int xSize, int ySize, Color Col) {
    xsiz = xSize;
    ysiz = ySize;
    col = Col;
    np = 0;
  }
  
  public void paint(Graphics g) {
    g.setColor(col);
    for(int i = 0; i < np; i++) {
      g.fillRect(x[i]-PtSize/2,y[i]-PtSize/2,PtSize,PtSize);
    } 
  }

  public void push(int newx, int newy) {
    if(np < maxnp) {
      x[np] = newx;
      y[np] = newy;
      np++;
    }
  }

  public void clearPoints() {
    np = 0;
  }

  public void randomPoints(int n) {
    for(int i = 0; i < n; i++)
      push((int) (xsiz * Math.random()), (int) (ysiz * Math.random()));
  }

  public int nPoints() {
    return np;
  }

  public int xVal(int i) {
    return x[i];
  }

  public int yVal(int i) {
    return y[i];
  }
}
